# Blogging-webapp
  It is a Blog application (website) where in this application people can post and read the articles which all are posted and even the people can comment in the articles. We have an Admin module where the admin has to approve the article then only that article will be posted in this application. Admins can reject the article if they found that article inappropriate and even the Admin can request the author for changes in the article. The author is none other than the user who is posting the article. Here the Author can see the number of views per article which he posted in the dashboard and even the author can edit his articles which they posted.

# Technologies used:

## For Front-end part:

## HTML CSS  JavaScript jQuery
  The HyperText Markup Language, or HTML is the standard markup language for documents designed to be displayed in a web browser. It can be assisted by technologies such as Cascading Style Sheets (CSS) and scripting languages such as JavaScript.
  Cascading Style Sheets (CSS) is a style sheet language used for describing the presentation of a document written in a markup language such as HTML. CSS is a cornerstone technology of the World Wide Web, alongside HTML and JavaScript.
  , is a programming language that conforms to the ECMAScript specification. JavaScript is high-level, often just-in-time compiled, and multi-paradigm. It has curly-bracket syntax, dynamic typing, prototype-based object-orientation, and first-class functions.
TML and CSS, JavaScript is one of the core technologies of the World Wide Web. Over 97% of websites use it client-side for web page behavior, often incorporating third-party libraries. Most web browsers have a dedicated JavaScript engine to execute the code on the user's device

## Bootstrap
  Bootstrap is an HTML, CSS & JS Library that focuses on simplifying the development of informative web pages (as opposed to web apps). The primary purpose of adding it to a web project is to apply Bootstrap's choices of color, size, font and layout to that project. As such, the primary factor is whether the developers in charge find those choices to their liking. Once added to a project, Bootstrap provides basic style definitions for all HTML elements. The result is a uniform appearance for prose, tables and form elements across web browsers. In addition, developers can take advantage of CSS classes defined in Bootstrap to further customize the appearance of their contents. For example, Bootstrap has provisioned for light- and dark-colored tables, page headings, more prominent pull quotes, and text with a highlight.

      https://getbootstrap.com/
 

## For back-end:

## Flask
  Flask is a micro web framework written in Python. It is classified as a microframework because it does not require particular tools or libraries. It has no database abstraction layer, form validation, or any other components where pre-existing third-party libraries provide common functions. However, Flask supports extensions that can add application features as if they were implemented in Flask itself. Extensions exist for object-relational mappers, form validation, upload handling, various open authentication technologies and several common framework related tools.
  
         $ pip install -U Flask
  
## Flask_SQLAlchemy
  Flask-SQLAlchemy is an extension for Flask that adds support for SQLAlchemy to your application. It aims to simplify using SQLAlchemy with Flask by providing useful defaults and extra helpers that make it easier to accomplish common tasks.

See the SQLAlchemy documentation to learn how to work with the ORM in depth. The following documentation is a brief overview of the most common tasks, as well as the features specific to Flask-SQLAlchemy.

        $ pip install -U Flask-SQLAlchemy.

## Flask_mail
One of the most basic functions in a web application is the ability to send emails to your users.
The Flask-Mail extension provides a simple interface to set up SMTP with your Flask application and to send messages from your views and scripts.


         $ pip install Flask-Mail

## JSON
  JSON (JavaScript Object Notation) is a lightweight data-interchange format. It is easy for humans to read and write. It is easy for machines to parse and generate. It is based on a subset of the JavaScript Programming Language Standard ECMA-262 3rd Edition - December 1999. JSON is a text format that is completely language independent but uses conventions that are familiar to programmers of the C-family of languages, including C, C++, C#, Java, JavaScript, Perl, Python, and many others. These properties make JSON an ideal data-interchange language.

 
# About

We are trying to build a BlogApp which it must be useful for the peoples to share their thoughts and some interesting news through articles by posting and even it must be useful for the people who all are looking for some new articles.

We choose this project because we thought that will be useful for us to learn some new things by developing these kinds of applications and even it will be a good chance for us to showcase our skills so that it will be helpful for the people who all are looking for these kinds of applications

 
Future Scope of Improvement?

we are planning to add some new features in the future like Signup validation, forgot password, Development in Ui&Ux , To Add Likes and Dislikes module,etc..


# Screenshots
  ![demoblog1](https://user-images.githubusercontent.com/52278696/132951790-0ee66080-c3b5-46f3-8197-c6720d5e0d9a.PNG)
  ![demoblog2](https://user-images.githubusercontent.com/52278696/132951794-a1d4c144-66b0-453d-9a40-a28d6c381168.PNG)
  ![demoblog3](https://user-images.githubusercontent.com/52278696/132951797-7f91f38b-2805-487f-85ba-744c2f4fd17d.PNG)
  ![demoblog4](https://user-images.githubusercontent.com/52278696/132951798-174e6e00-257b-4d31-859d-9c9e878f037f.PNG)
  ![demoblog5](https://user-images.githubusercontent.com/52278696/132951800-fe1a02cf-2f0f-4b7b-bfca-feac4d39b7d7.PNG)
  ![demoblog6](https://user-images.githubusercontent.com/52278696/132951801-6b5ef741-edbe-437b-9812-4a56a4a9bdb8.PNG)

